{{#if (eq @tag "h")}}
  <Heading {{did-insert this.setup}} @level={{this.headingLevel}}
    class="text-with-options {{if this.isEmpty "empty"}} {{page-col-class this.classes deviceSize=@deviceSize}}" {{dom-changed this.checkEmptyValue}} id={{this.elementId}}
    data-editor="text-with-options" data-type="text" {{on "props-update" this.updateProps}} ...attributes>{{!
    }}{{yield}}{{!
}}</Heading>
{{else if (eq @tag "a")}}
  <Link {{did-insert this.setup}} @space={{@space}} @to={{@to}} @newTab={{@newTab}} @isEditor={{@isEditor}}
    class="text-with-options {{if this.isEmpty "empty"}} {{page-col-class this.classes deviceSize=@deviceSize}}" {{dom-changed this.checkEmptyValue}} id={{this.elementId}}
    data-editor="text-with-options" data-type="text" {{on "props-update" this.updateProps}} ...attributes>{{!
    }}{{yield}}{{!
}}</Link>
{{else if (eq @tag "div")}}
  <div {{did-insert this.setup}} class="text-with-options {{if this.isEmpty "empty"}} {{page-col-class this.classes deviceSize=@deviceSize}}" {{dom-changed this.checkEmptyValue}}
    id={{this.elementId}} data-editor="text-with-options" data-type="text" {{on "props-update" this.updateProps}} ...attributes>{{!
    }}{{yield}}{{!
}}</div>
{{else if (eq @tag "span")}}
  <span {{did-insert this.setup}} class="text-with-options {{if this.isEmpty "empty"}} {{page-col-class this.classes deviceSize=@deviceSize}}" {{dom-changed this.checkEmptyValue}}
    id={{this.elementId}} data-editor="text-with-options" data-type="text" {{on "props-update" this.updateProps}} ...attributes>{{!
    }}{{yield}}{{!
}}</span>
{{else if (eq @tag "label")}}
  <label {{did-insert this.setup}} class="text-with-options {{if this.isEmpty "empty"}} {{page-col-class this.classes deviceSize=@deviceSize}}" {{dom-changed this.checkEmptyValue}}
    id={{this.elementId}} data-editor="text-with-options" data-type="text" {{on "props-update" this.updateProps}} ...attributes>{{!
    }}{{yield}}{{!
}}</label>
{{else}}
  <p {{did-insert this.setup}} class="text-with-options {{if this.isEmpty "empty"}} {{page-col-class this.classes deviceSize=@deviceSize}}" {{dom-changed this.checkEmptyValue}}
    id={{this.elementId}} data-editor="text-with-options" data-type="text" {{on "props-update" this.updateProps}} ...attributes>{{!
    }}{{yield}}{{!
}}</p>
{{/if}}

{{#if this.style}}
  <ResponsiveStyle @deviceSize={{@deviceSize}} @selector="#{{this.elementId}}" @style={{this.style}} />
{{/if}}